Bug 2502 - не принимает русские буквы в системной локали cp1251
: не принимает русские буквы в системной локали cp1251
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/gnome2-utils-gnome-dictionary)
: unstable
: all Linux
: P4 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-04-08 22:40 by
Modified: 2005-09-12 22:16 (History)


Attachments
0002502-dictd.txt (205 bytes, text/plain)
2003-04-14 18:38, ildar
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-04-08 22:40:34
ALT Linux Master 2.2
~/.i18n :
LANG=ru_RU.CP1251                                                               LANGUAGE=ru_RU.CP1251                                                           SYSFONTACM=cp1251                                                               SYSFONT=UniCyr_8x16                                                             DICTIONARY=russian                                                              MPAGE=\"-CCP1251\"                                                                export DICTIONARY MPAGE
Это реально поправить?
---

---

------- Comment #1 From 2003-04-09 00:01:22 -------
Странно. У меня всё работает именно в локали ru_RU.CP1251.
------- Comment #2 From 2003-04-09 00:01:22 -------
Странно. У меня всё работает именно в локали ru_RU.CP1251.
------- Comment #3 From 2003-04-09 14:36:15 -------
а у меня - нет, причём на чистом юзере.. :-(
как выловить?? подскажите..
------- Comment #4 From 2003-04-09 14:36:15 -------
а у меня - нет, причём на чистом юзере.. :-(
как выловить?? подскажите..
------- Comment #5 From 2003-04-09 14:38:11 -------
Произошла ошибка при загрузке или сохранении конфигурационной информации для
gnome-dictionary. Некоторые из установок могут не функционировать правильно.

Текст содержит недопустимую последовательность UTF-8
------- Comment #6 From 2003-04-09 14:38:11 -------
Произошла ошибка при загрузке или сохранении конфигурационной информации для
gnome-dictionary. Некоторые из установок могут не функционировать правильно.

Текст содержит недопустимую последовательность UTF-8
------- Comment #7 From 2003-04-14 18:29:54 -------
баг подтверждаю, причем у меня он давно
когда делаю debug dictd
---
консольный dict
search=тест
log=тесС,
(echo \"тест\"|iconv -f utf8 -t cp1251 
тест)
---
gnome2-utils-gnome-dictionary
search=тест
log=с‚рµсѓс‚с‚рµсѓс‚
(echo \"с‚рµсѓс‚с‚рµсѓс‚\"|iconv -f utf8 -t cp1251 
iconv: illegal input sequence at position 0)
------- Comment #8 From 2003-04-14 18:29:54 -------
баг подтверждаю, причем у меня он давно
когда делаю debug dictd
---
консольный dict
search=тест
log=тесС,
(echo \"тест\"|iconv -f utf8 -t cp1251 
тест)
---
gnome2-utils-gnome-dictionary
search=тест
log=с‚рµсѓс‚с‚рµсѓс‚
(echo \"с‚рµсѓс‚с‚рµсѓс‚\"|iconv -f utf8 -t cp1251 
iconv: illegal input sequence at position 0)
------- Comment #9 From 2003-04-14 18:38:20 -------
покорежился utf-8 текст, поэтому заливаю еще текст
------- Comment #10 From 2003-04-14 18:38:20 -------
покорежился utf-8 текст, поэтому заливаю еще текст
------- Comment #11 From 2005-09-12 22:15:44 -------
Это у кого-то ещё воспроизводится? (ставлю в FIXED, если что, переоткрывайте).
------- Comment #12 From 2005-09-12 22:16:00 -------
FIXED